Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class MuleTransactionManagerFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          org.mule.config.spring.factories.MuleTransactionManagerFactoryBean

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class MuleTransactionManagerFactoryBean

extends org.springframework.beans.factory.config.AbstractFactoryBean
implements MuleContextAware

Creates a reference to the TransactionManager configured on the MuleContext. This is useful when you need to inject the TransactionManager into other objects such as XA data Sources. In order to use this factory bean you must have a transaction manager configured in the context i.e. ``

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`MuleTransactionManagerFactoryBean()`

Method Summary
`protected Object` | `createInstance()`
`Class` | `getObjectType()`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleTransactionManagerFactoryBean

    public MuleTransactionManagerFactoryBean()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`
  Specified by:
    `getObjectType` in class `org.springframework.beans.factory.config.AbstractFactoryBean`

### createInstance

    protected Object createInstance()
                             throws Exception

  Specified by:
    `createInstance` in class `org.springframework.beans.factory.config.AbstractFactoryBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.